org.eclnt.jsfserver.elements.componentnodes

## Class BLOCKABLEAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.BLOCKABLEAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class BLOCKABLEAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BLOCKABLEAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BLOCKABLEAREANode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindBlocked(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindShadingcolor(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindX(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `bindY(IDynamicContentBindingObject value)`
    `BLOCKABLEAREANode` | `setAnimatechangeofsize(boolean value)`
    `BLOCKABLEAREANode` | `setAnimatechangeofsize(java.lang.String value)`
    `BLOCKABLEAREANode` | `setBlocked(java.lang.String value)`
    `BLOCKABLEAREANode` | `setComment(java.lang.String value)`
    `BLOCKABLEAREANode` | `setConfiginfo(java.lang.String value)`
    `BLOCKABLEAREANode` | `setHeight(int value)`
    `BLOCKABLEAREANode` | `setHeight(java.lang.String value)`
    `BLOCKABLEAREANode` | `setId(java.lang.String value)`
    `BLOCKABLEAREANode` | `setReference(java.lang.String value)`
    `BLOCKABLEAREANode` | `setShadingcolor(java.lang.String value)`
    `BLOCKABLEAREANode` | `setWidth(int value)`
    `BLOCKABLEAREANode` | `setWidth(java.lang.String value)`
    `BLOCKABLEAREANode` | `setX(int value)`
    `BLOCKABLEAREANode` | `setX(java.lang.String value)`
    `BLOCKABLEAREANode` | `setY(int value)`
    `BLOCKABLEAREANode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BLOCKABLEAREANode

          public BLOCKABLEAREANode()

  - ### Method Detail

    - #### setId

          public BLOCKABLEAREANode setId(java.lang.String value)

    - #### setAnimatechangeofsize

          public BLOCKABLEAREANode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public BLOCKABLEAREANode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public BLOCKABLEAREANode setAnimatechangeofsize(boolean value)

    - #### setBlocked

          public BLOCKABLEAREANode setBlocked(java.lang.String value)

    - #### bindBlocked

          public BLOCKABLEAREANode bindBlocked(IDynamicContentBindingObject value)

    - #### setComment

          public BLOCKABLEAREANode setComment(java.lang.String value)

    - #### bindComment

          public BLOCKABLEAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public BLOCKABLEAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public BLOCKABLEAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public BLOCKABLEAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public BLOCKABLEAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public BLOCKABLEAREANode setHeight(int value)

    - #### setReference

          public BLOCKABLEAREANode setReference(java.lang.String value)

    - #### setShadingcolor

          public BLOCKABLEAREANode setShadingcolor(java.lang.String value)

    - #### bindShadingcolor

          public BLOCKABLEAREANode bindShadingcolor(IDynamicContentBindingObject value)

    - #### setWidth

          public BLOCKABLEAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public BLOCKABLEAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public BLOCKABLEAREANode setWidth(int value)

    - #### setX

          public BLOCKABLEAREANode setX(java.lang.String value)

    - #### bindX

          public BLOCKABLEAREANode bindX(IDynamicContentBindingObject value)

    - #### setX

          public BLOCKABLEAREANode setX(int value)

    - #### setY

          public BLOCKABLEAREANode setY(java.lang.String value)

    - #### bindY

          public BLOCKABLEAREANode bindY(IDynamicContentBindingObject value)

    - #### setY

          public BLOCKABLEAREANode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.